## org.eclipse.datatools.enablement.sybase.asa.deltaddl
Class ASAPrivilegeDeltaDdlGenProvider

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.rte.fe.GenericDdlBuilder
          org.eclipse.datatools.enablement.sybase.deltaddl.AbstractDeltaDdlGenProvider
              org.eclipse.datatools.enablement.sybase.deltaddl.PrivilegeDeltaDdlGenProvider
                  org.eclipse.datatools.enablement.sybase.asa.deltaddl.ASAPrivilegeDeltaDdlGenProvider

All Implemented Interfaces:
  IDeltaDdlGenProvider

    public class ASAPrivilegeDeltaDdlGenProvider

extends PrivilegeDeltaDdlGenProvider

Privilege delta ddl generator provider for ASA

Author:
  Idull

Constructor Summary
`ASAPrivilegeDeltaDdlGenProvider()`

Method Summary

Methods inherited from class org.eclipse.datatools.enablement.sybase.deltaddl.PrivilegeDeltaDdlGenProvider
`processCreateStatement, processDropStatement`

Methods inherited from class org.eclipse.datatools.enablement.sybase.deltaddl.AbstractDeltaDdlGenProvider
`analyze, getParameter, processAlterStatement, processDropStatement, setParameter`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.core.rte.fe.GenericDdlBuilder

`addCheckConstraint, addForeignKey, addUniqueConstraint, alterTableAddColumn, createAssertion, createIndex, createProcedure, createSchema, createTable, createTrigger, createUserDefinedFunction, createUserDefinedType, createView, dropAssertion, dropFunction, dropIndex, dropProcedure, dropSchema, dropTable, dropTableConstraint, dropTrigger, dropUserDefinedType, dropView, getEngineeringCallBack, isImplicitConstraint, setEngineeringCallBack`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASAPrivilegeDeltaDdlGenProvider

    public ASAPrivilegeDeltaDdlGenProvider()